#ifndef TABDIALOG_H_INCLUDED
#define TABDIALOG_H_INCLUDED

#include <QDialog>

QT_BEGIN_NAMESPACE
class QDialogButtonBox;
class QFileInfo;
class QTabWidget;
namespace Ui { class Dialog; }
QT_END_NAMESPACE

class GeneralTab : public QWidget {
    Q_OBJECT
public:
    explicit GeneralTab(QWidget *parent = 0);
};


class DigitalInputsTab : public QWidget {
    Q_OBJECT

public:
    explicit DigitalInputsTab(QWidget *parent = 0);
};


class DigitalOutputsTab : public QWidget {
    Q_OBJECT
public:
    explicit DigitalOutputsTab(QWidget *parent = 0);
};


class TabDialog : public QDialog {
    Q_OBJECT
public:
    explicit TabDialog(QWidget *parent = 0);
    virtual ~TabDialog();
private slots:
    void on_tabWidget_currentChanged(int index);

private:
    Ui::Dialog *ui;
    QTabWidget *tabWidget;
    QDialogButtonBox *buttonBox;
};

#endif // TABDIALOG_H_INCLUDED
